# Additional placeholders:
# - %enchantment_trigger_chance%: Enchantment Trigger Chance

# Sets whether this enchantment is a treasure enchantment.
# Treasure enchantments can only be received via looting, trading, or fishing.
Is_Treasure: false
# Enchantment display name. It will be shown in item lore.
Name: Treasures
# Enchantment tier. Must be a valid tier identifier from the 'tiers.yml'.
Tier: common
# Enchantment description. It will be shown in item lore under enchantment name.
# You can use 'Enchantment' placeholders: https://github.com/nulli0n/ExcellentEnchants-spigot/wiki/Internal-Placeholders
Description:
- '%enchantment_trigger_chance%% chance to attempt to find a treasure in mined block.'
# Enchantment level settings.
Level:
  # Sets the minimal (start) enchantment level. Can not be less than 1.
  Min: 1
  # Sets the maximal enchantment level. Can not be less than min. level.
  # Note: While you can 'bypass' this value by enchant commands, all level-dependant enchantment
  # settings will have a limit up to this setting.
  Max: 5
# Enchantment settings for Anvil.
Anvil:
  # Sets how much XP levels will be added to the anvil cost when combining custom enchantments.
  # You can use formulas/expressions here: https://github.com/nulli0n/NexEngine-spigot/wiki/Configuration-Tips#scalable-sections
  # Level placeholder: %enchantment_level%
  Merge_Cost: '%enchantment_level%'
Fishing:
  # Chance for this enchantment to be obtained via Fishing
  Chance: 70.0
  Level:
    # Minimal level when obtained via Fishing
    # Can not be less than enchantment min. level. Set -1 to use enchantment min. level.
    Min: -1
    # Maximal level when obtained via Fishing
    # Can not be greater than enchantment max. level. Set -1 to use enchantment max. level.
    Max: -1
# Enchantment settings for Enchanting Table.
Enchanting_Table:
  # Sets how much XP levels must be used in enchanting table to obtain this enchantment.
  # With a default formula '9 * %enchantment_level%' it will be [9, 18, 27] XP levels for [1, 2, 3] enchantment levels.
  # You can use formulas/expressions here: https://github.com/nulli0n/NexEngine-spigot/wiki/Configuration-Tips#scalable-sections
  # Level placeholder: %enchantment_level%
  Level_By_Exp_Cost: 6 * %enchantment_level%
  # Chance for this enchantment to be obtained via Enchanting_Table
  Chance: 70.0
  Level:
    # Minimal level when obtained via Enchanting_Table
    # Can not be less than enchantment min. level. Set -1 to use enchantment min. level.
    Min: -1
    # Maximal level when obtained via Enchanting_Table
    # Can not be greater than enchantment max. level. Set -1 to use enchantment max. level.
    Max: -1
Villagers:
  # Chance for this enchantment to be obtained via Villagers
  Chance: 75.0
  Level:
    # Minimal level when obtained via Villagers
    # Can not be less than enchantment min. level. Set -1 to use enchantment min. level.
    Min: -1
    # Maximal level when obtained via Villagers
    # Can not be greater than enchantment max. level. Set -1 to use enchantment max. level.
    Max: -1
Loot_Generation:
  # Chance for this enchantment to be obtained via Loot_Generation
  Chance: 75.0
  Level:
    # Minimal level when obtained via Loot_Generation
    # Can not be less than enchantment min. level. Set -1 to use enchantment min. level.
    Min: -1
    # Maximal level when obtained via Loot_Generation
    # Can not be greater than enchantment max. level. Set -1 to use enchantment max. level.
    Max: -1
Mob_Spawning:
  # Chance for this enchantment to be obtained via Mob_Spawning
  Chance: 0.0
  Level:
    # Minimal level when obtained via Mob_Spawning
    # Can not be less than enchantment min. level. Set -1 to use enchantment min. level.
    Min: -1
    # Maximal level when obtained via Mob_Spawning
    # Can not be greater than enchantment max. level. Set -1 to use enchantment max. level.
    Max: -1
# Individual enchantment settings.
Settings:
  # A chance that this enchantment will be triggered.
  # You can use formulas/expressions here: https://github.com/nulli0n/NexEngine-spigot/wiki/Configuration-Tips#scalable-sections
  # Level placeholder: %enchantment_level%
  Trigger_Chance: 10.0 + %enchantment_level% * 4.0
  # A cost a player will have to pay to have this enchantment triggered.
  Cost:
    # Enables/Disables cost feature.
    Enabled: false
    # A (custom) item that player must have in his inventory, that will be consumed to trigger the enchantment effect.
    # See http://77.222.60.131:8080/plugin/engine/config/formats for item options.
    Item:
      Material: AIR
      Amount: 1
  # Particle effect that will be played on enchantment trigger.
  Particle:
    # Particle name. Set this to empty '' or 'NONE' to disable.
    # https://hub.spigotmc.org/javadocs/bukkit/org/bukkit/Particle.html
    Name: REDSTONE
    # Particle data (additional settings).
    # - BLOCK_DUST, BLOCK_MARKER, BLOCK_CRACK, ITEM_CRACK, FALLING_DUST: Use https://hub.spigotmc.org/javadocs/bukkit/org/bukkit/Material.html
    # - REDSTONE: Use RGB (like 255,255,255)
    Data: 200,180,0
  # Sound that will be played on enchantment trigger.
  # https://hub.spigotmc.org/javadocs/bukkit/org/bukkit/Sound.html
  Sound: BLOCK_NOTE_BLOCK_BELL
  # List of source materials (blocks that will drop additional loot). Separated by a comma.
  # https://hub.spigotmc.org/javadocs/bukkit/org/bukkit/Material.html
  Treasures:
    # List of source materials (blocks that will drop additional loot). Separated by a comma.
    # https://hub.spigotmc.org/javadocs/bukkit/org/bukkit/Material.html
    STONE,GRANITE,ANDESITE,DIORITE:
      # List of Materials and chances for the additional loot.
      # https://hub.spigotmc.org/javadocs/bukkit/org/bukkit/Material.html
      AIR: 95.0
      BONE_MEAL: 2.0
    CLAY:
      AIR: 95.0
      SLIME_BALL: 7.0
    DIRT,PODZOL,COARSE_DIRT,ROOTED_DIRT:
      AIR: 95.0
      CLAY_BALL: 0.5
      BOWL: 1.0
      STICK: 2.0
    SAND,RED_SAND:
      AIR: 95.0
      GLOWSTONE_DUST: 1.0
      GOLD_NUGGET: 0.3
    SOUL_SAND:
      AIR: 95.0
      FLINT: 1.5
      GUNPOWDER: 0.8
      COAL: 0.4
    NETHERRACK:
      AIR: 99.0
      BRICK: 0.05
    END_STONE:
      AIR: 99.0
      ENDER_PEARL: 0.1
    OAK_LEAVES,BIRCH_LEAVES,SPRUCE_LEAVES,ACACIA_LEAVES,JUNGLE_LEAVES,DARK_OAK_LEAVES:
      AIR: 80.0
      APPLE: 15.0
    MOSSY_COBBLESTONE,MOSSY_STONE_BRICKS:
      AIR: 50.0
      VINE: 50.0
  # Enables/Disables enchantment visual effects, such as particles.
  Visual_Effects: true
# Sets whether or not this enchantment will be hidden from Enchants GUI.
Hide_From_List: false
# A list of conflicting enchantment names.
# Conflicting enchantments can not be combined on anvils and obtained together on the same item.
Conflicts: []
